<template>
  <footer>
    <div class="bg-footer" v-if="isLoggedIn">
      <hr>
      <div class="footer">
        <a class="fg-color" >Entrou com {{ email }}</a> 
        <b-button variant="outline-danger" size="sm" @click="logout" class="">Sair</b-button>
      </div>
    </div>
    <div class="bg-footer" v-else>
      <hr>
      <div class="footer">
        <b-button-group>
          <b-button variant="outline-danger" size="sm"  class="button-sm" @click="login">Entrar</b-button>
          <b-button variant="outline-danger" size="sm" href="/register" class="button-sm">Criar Conta</b-button>
        </b-button-group>
      </div>
    </div>
  </footer>

</template>

<script>
import { mapState } from 'vuex'

export default {
  computed: mapState ([
      'isLoggedIn',
      'email'
  ]),
  methods: {
    login() {
      console.log("login")
      this.$store.dispatch('signin')
    },
    logout() {
      console.log("logout")
      this.$store.dispatch('signout')
    }
  }
}

</script>

<style>
.footer {
  bottom: 0;
  width: 100%;
  margin-top: 1em;
  margin-bottom: 1em;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.button-sm {
    width: 10.5em;    
}

</style>
